Loading...
Searching...
No Matches
caf::detail::sync_request_bouncer Struct Reference

Drains a mailbox and sends an error message to each unhandled request. More...

`#include <sync_request_bouncer.hpp>`

## Public Member Functions

| sync_request_bouncer (error r)
void | operator() (const strong_actor_ptr &sender, const message_id &mid) const
void | operator() (const mailbox_element &e) const
template<class Key, class Queue, class... Ts>
intrusive::task_result | operator() (const Key &, const Queue &, const Ts &... xs) const
| Unwrap WDRR queues.

## Public Attributes

error | rsn

## Detailed Description

Drains a mailbox and sends an error message to each unhandled request.

## Member Function Documentation

## operator()()

template<class Key, class Queue, class... Ts>

intrusive::task_result caf::detail::sync_request_bouncer::operator() | ( | const Key & | ,
|  | const Queue & | ,
|  | const Ts &... | xs ) const

Unwrap WDRR queues.

Nesting WDRR queues results in a Key/Queue prefix for each layer of nesting.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/sync_request_bouncer.hpp